Bug 529084 - Review Request: javatar - Java tar archive io package
Summary: Review Request: javatar - Java tar archive io package
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-14 21:15 UTC by Orion Poplawski
Modified: 2009-12-04 19:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-04 19:42:01 UTC
Type: ---
loganjerry: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Orion Poplawski 2009-10-14 21:15:18 UTC
Spec URL: http://www.cora.nwra.com/~orion/fedora/javatar.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/javatar-2.5-1.fc12.src.rpm
Description: 
The package com.ice.tar implements a tar archive io package. This package
allows you to create, and extract tar archives. Since the package uses
InputStream and OutputStream, it is possible to combine this package with the
java.util.zip package to handle .tar.gz files.

Comment 1 Jerry James 2009-10-26 19:53:07 UTC
In the build log, I see this:

deploy:
      [jar] Building jar: /builddir/build/BUILD/javatar-2.5/tar-2.5/jars/tar.jar
      [jar] Manifest warning: "Name" attributes should not occur in the main section and must be the first element in all other sections: "Name: "Java Tar""

Is this caused by the sed invocation on the manifest file?  If so, is that invocation correct?  Also, the source archive contains .class files in classes/com/ice/tar.  Would you mind deleting those in %prep, just to be sure they don't affect compilation?

The javadoc documentation is neither rebuilt nor packaged.  Would you consider invoking "ant javadoc", and putting the contents of doc/api into a -javadoc subpackage?

Here is the output of rpmlint:

javatar.src:97: W: libdir-macro-in-noarch-package (main package) %attr(-,root,root) %{_libdir}/gcj/%{name}
javatar-debuginfo.x86_64: E: debuginfo-without-sources
../SPECS/javatar.spec:97: W: libdir-macro-in-noarch-package (main package) %attr(-,root,root) %{_libdir}/gcj/%{name}
3 packages and 1 specfiles checked; 1 errors, 2 warnings.

The warnings are just part of life with GCJ and can be ignored.  The error is a problem.  Why are there no sources in the debuginfo package?

MUST items:
XX: rpmlint output (see above)
OK: naming guidelines
OK: spec file name matches base package name
OK: packaging guidelines
OK: licensing guidelines
OK: license field matches actual license
OK: license file included in %doc
OK: spec file in American English
OK: spec file is legible
OK: sources match upstream (md5sum of both is 7dae3b92b70c30cfb6fd9699a79f821c)
OK: successfully compiles on at least one arch (x86_64)
NA: proper use of ExcludeArch
OK: all build dependencies in BuildRequires
NA: proper locale handling
NA: ldconfig invocation
OK: no copies of system libraries
NA: relocatable package
OK: package owns all directories it creates
OK: no duplicate listings in %files
OK: proper permissions on files
OK: %clean section
OK: consistent use of macros
OK: code or permissible content
NA: large documentation in -doc
OK: no runtime dependencies in %doc
NA: header files in -devel
NA: static libraries in -static
NA: Requires: pkgconfig
NA: .so files in -devel
NA: -devel requires main package
NA: no libtool archives
NA: desktop file for GUI applications
OK: do not own files/dirs owned by other packages
OK: clean at top of %install
OK: all filenames are valid UTF-8

SHOULD items:
NA: query upstream for a file containing the license
NA: description and summary contain available translations
OK: package builds in mock (only tested Fedora 11 x86_64)
??: package builds on all supported arches (not able to test)
OK: package functions as described (light testing only)
OK: sane scriptlets
NA: subpackages require main package
NA: placement of pkgconfig files
NA: file dependencies

Comment 2 Orion Poplawski 2009-10-26 23:37:30 UTC
Spec URL: http://www.cora.nwra.com/~orion/fedora/javatar.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/javatar-2.5-2.fc12.src.rpm

* Mon Oct 26 2009 Orion Poplawski <orion@cora.nwra.com> - 2.5-2
- Remove existing class files
- Package javadocs
- Make sure debuginfo has source files

(In reply to comment #1)
> In the build log, I see this:
> 
> deploy:
>       [jar] Building jar:
> /builddir/build/BUILD/javatar-2.5/tar-2.5/jars/tar.jar
>       [jar] Manifest warning: "Name" attributes should not occur in the main
> section and must be the first element in all other sections: "Name: "Java Tar""
> 
> Is this caused by the sed invocation on the manifest file?  If so, is that
> invocation correct?

The sed simply deletes the existing Class-Path: entry.  I've got no idea about this.  I'll post the to the fedora java devel list.

>  Also, the source archive contains .class files in
> classes/com/ice/tar.  Would you mind deleting those in %prep, just to be sure
> they don't affect compilation?

Done.

> The javadoc documentation is neither rebuilt nor packaged.  Would you consider
> invoking "ant javadoc", and putting the contents of doc/api into a -javadoc
> subpackage?

It is actually getting built, just not packaged.  Fixed.

> Here is the output of rpmlint:
> 
> javatar-debuginfo.x86_64: E: debuginfo-without-sources
> 
> The warnings are just part of life with GCJ and can be ignored.  The error is a
> problem.  Why are there no sources in the debuginfo package?

I think aot-compile-rpm gets confused with the copy of source files.  Removing that seems to have fixed it.

Comment 3 Jerry James 2009-10-27 15:40:23 UTC
Looks good, then.  I took a look at a few existing manifests as well.  I think your guess that Name should be com/ice/tar/ is correct.  I don't see any need for me to hold up this review for that trivial change, so this package is approved, and you can fix that before you check in to CVS.

Comment 4 Orion Poplawski 2009-10-27 17:02:57 UTC
Thanks for the review.

New Package CVS Request
=======================
Package Name: javatar
Short Description: Java tar archive io package
Owners: orion
Branches: F-12 F-11 EL-5
InitialCC:

Comment 5 Kevin Fenzi 2009-10-29 00:06:38 UTC
cvs done.

Comment 6 Jerry James 2009-12-04 19:42:01 UTC
This appears to have been available for a month now, so I'm closing this bug.


Note You need to log in before you can comment on or make changes to this bug.